summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rw-r--r--jjb/cicn/include-raw-cicn-maven-push.sh7
-rw-r--r--jjb/csit/csit-perf.yaml30
-rw-r--r--jjb/csit/csit-tox.yaml3
-rw-r--r--jjb/csit/csit-vpp-device.yaml9
-rw-r--r--jjb/csit/csit.yaml9
-rw-r--r--jjb/include-raw-deploy-archives.sh15
-rw-r--r--jjb/scripts/cleanup_vpp_plugin_dev_env.sh31
-rw-r--r--jjb/scripts/create_maven_env.sh15
-rw-r--r--jjb/scripts/csit/cpta.sh2
-rw-r--r--jjb/scripts/csit/device-semiweekly.sh2
-rw-r--r--jjb/scripts/csit/device-verify.sh2
-rw-r--r--jjb/scripts/csit/dmm-functional-virl.sh4
-rw-r--r--jjb/scripts/csit/docs.sh2
-rw-r--r--jjb/scripts/csit/hc2vpp-verify-func.sh2
-rw-r--r--jjb/scripts/csit/nsh_sfc-functional-virl.sh2
-rw-r--r--jjb/scripts/csit/nsh_sfc-perf-hw.sh2
-rw-r--r--jjb/scripts/csit/perf-timed.sh2
-rw-r--r--jjb/scripts/csit/perf-verify.sh2
-rw-r--r--jjb/scripts/csit/report.sh2
-rw-r--r--jjb/scripts/csit/tldk-functional-virl.sh2
-rw-r--r--jjb/scripts/csit/tox.sh2
-rw-r--r--jjb/scripts/csit/vpp-functional-multilink.sh2
-rw-r--r--jjb/scripts/csit/vpp-functional-virl.sh2
-rw-r--r--jjb/scripts/maven_push_functions.sh16
-rw-r--r--jjb/scripts/packagecloud_promote.sh15
-rw-r--r--jjb/scripts/packagecloud_push.sh84
-rw-r--r--jjb/scripts/setup_executor_env.sh54
-rw-r--r--jjb/scripts/setup_jvpp_dev_env.sh18
-rw-r--r--jjb/scripts/setup_vpp_dpdk_dev_env.sh94
-rw-r--r--jjb/scripts/setup_vpp_plugin_dev_env.sh43
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh61
-rw-r--r--jjb/scripts/vpp/api-checkstyle.sh15
-rw-r--r--jjb/scripts/vpp/build.sh96
-rw-r--r--jjb/scripts/vpp/check_crc.sh2
-rw-r--r--jjb/scripts/vpp/checkstyle.sh16
-rw-r--r--jjb/scripts/vpp/commitmsg.sh19
-rw-r--r--jjb/scripts/vpp/csit-device.sh2
-rw-r--r--jjb/scripts/vpp/csit-perf.sh2
-rw-r--r--jjb/scripts/vpp/debug-build.sh44
-rw-r--r--jjb/scripts/vpp/docs.sh16
-rw-r--r--jjb/scripts/vpp/gcc-build.sh40
-rw-r--r--jjb/scripts/vpp/make-test-docs.sh16
-rw-r--r--jjb/scripts/vpp/maven-push.sh56
-rw-r--r--jjb/scripts/vpp/sphinx-docs.sh16
-rw-r--r--jjb/scripts/vpp/test-checkstyle.sh16
-rw-r--r--jjb/vpp/docs.yaml46
-rw-r--r--jjb/vpp/vpp.yaml39
47 files changed, 586 insertions, 391 deletions
diff --git a/jjb/cicn/include-raw-cicn-maven-push.sh b/jjb/cicn/include-raw-cicn-maven-push.sh
index 6ce3b2c06..65fbd833d 100644
--- a/jjb/cicn/include-raw-cicn-maven-push.sh
+++ b/jjb/cicn/include-raw-cicn-maven-push.sh
@@ -45,12 +45,5 @@ elif [ "${OS}" == "centos7" ]; then
do
push_rpm "$i"
done
-elif [ "${OS}" == "opensuse" ]; then
- # Find the files
- RPMS=$(find . -type f -iname '*.rpm')
- for i in $RPMS
- do
- push_rpm "$i"
- done
fi
# vim: ts=4 sw=4 sts=4 et ft=sh :
diff --git a/jjb/csit/csit-perf.yaml b/jjb/csit/csit-perf.yaml
index a64d13ddd..1a277f7ad 100644
--- a/jjb/csit/csit-perf.yaml
+++ b/jjb/csit/csit-perf.yaml
@@ -270,6 +270,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/perf-verify.sh
publishers:
@@ -345,6 +348,9 @@
properties-file: variables.prop
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/perf-timed.sh
publishers:
@@ -420,6 +426,9 @@
properties-file: variables.prop
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/perf-timed.sh
publishers:
@@ -490,6 +499,9 @@
properties-file: variables.prop
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/perf-timed.sh
publishers:
@@ -588,6 +600,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/perf-verify.sh
publishers:
@@ -663,6 +678,9 @@
properties-file: variables.prop
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/perf-timed.sh
publishers:
@@ -759,6 +777,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/perf-verify.sh
publishers:
@@ -855,6 +876,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/perf-verify.sh
publishers:
@@ -951,6 +975,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/perf-verify.sh
publishers:
@@ -1047,6 +1074,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/perf-verify.sh
publishers:
diff --git a/jjb/csit/csit-tox.yaml b/jjb/csit/csit-tox.yaml
index 33b0d6ab8..88f575b1f 100644
--- a/jjb/csit/csit-tox.yaml
+++ b/jjb/csit/csit-tox.yaml
@@ -75,6 +75,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/tox.sh
publishers:
diff --git a/jjb/csit/csit-vpp-device.yaml b/jjb/csit/csit-vpp-device.yaml
index da53e3b31..934130a67 100644
--- a/jjb/csit/csit-vpp-device.yaml
+++ b/jjb/csit/csit-vpp-device.yaml
@@ -150,6 +150,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/device-verify.sh
publishers:
@@ -234,6 +237,9 @@
properties-file: variables.prop
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/device-semiweekly.sh
publishers:
@@ -319,6 +325,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/device-verify.sh
publishers:
diff --git a/jjb/csit/csit.yaml b/jjb/csit/csit.yaml
index 2724ec1c3..b12cf420b 100644
--- a/jjb/csit/csit.yaml
+++ b/jjb/csit/csit.yaml
@@ -115,6 +115,9 @@
global-settings-file: 'global-settings'
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/docs.sh
publishers:
@@ -191,6 +194,9 @@
global-settings-file: 'global-settings'
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/report.sh
publishers:
@@ -244,6 +250,9 @@
global-settings-file: 'global-settings'
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/csit/cpta.sh
publishers:
diff --git a/jjb/include-raw-deploy-archives.sh b/jjb/include-raw-deploy-archives.sh
index 073aa3e6d..3d5495993 100644
--- a/jjb/include-raw-deploy-archives.sh
+++ b/jjb/include-raw-deploy-archives.sh
@@ -1,5 +1,20 @@
#!/bin/bash
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/include-raw-deploy-archives.sh"
+
set +e # Do not affect the build result if some part of archiving fails.
ARCHIVES_DIR="$JENKINS_HOSTNAME/$JOB_NAME/$BUILD_NUMBER"
diff --git a/jjb/scripts/cleanup_vpp_plugin_dev_env.sh b/jjb/scripts/cleanup_vpp_plugin_dev_env.sh
deleted file mode 100644
index 2fcdf7016..000000000
--- a/jjb/scripts/cleanup_vpp_plugin_dev_env.sh
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/bin/bash
-set -e -o pipefail
-
-# Figure out what system we are running on
-if [ -f /etc/lsb-release ];then
- . /etc/lsb-release
-elif [ -f /etc/redhat-release ];then
- sudo yum install -y redhat-lsb
- DISTRIB_ID=`lsb_release -si`
- DISTRIB_RELEASE=`lsb_release -sr`
- DISTRIB_CODENAME=`lsb_release -sc`
- DISTRIB_DESCRIPTION=`lsb_release -sd`
-fi
-echo DISTRIB_ID: $DISTRIB_ID
-echo DISTRIB_RELEASE: $DISTRIB_RELEASE
-echo DISTRIB_CODENAME: $DISTRIB_CODENAME
-echo DISTRIB_DESCRIPTION: $DISTRIB_DESCRIPTION
-
-function cleanup {
- # Setup by installing vpp-dev and vpp-lib
- if [ $DISTRIB_ID == "Ubuntu" ]; then
- sudo rm -f /etc/apt/sources.list.d/99fd.io.list
- sudo dpkg -r vpp-dev vpp-lib vpp-dev vpp-lib vpp vpp-dpdk-dev vpp-dpdk-dkms vpp-dbg vpp-ext-deps
- elif [[ $DISTRIB_ID == "CentOS" ]]; then
- sudo rm -f /etc/yum.repos.d/fdio-master.repo
- sudo yum -y remove vpp-devel vpp-lib vpp vpp-ext-deps
- fi
-}
-
-trap cleanup EXIT
-cleanup
diff --git a/jjb/scripts/create_maven_env.sh b/jjb/scripts/create_maven_env.sh
index 48a2da06f..cbc9f868b 100644
--- a/jjb/scripts/create_maven_env.sh
+++ b/jjb/scripts/create_maven_env.sh
@@ -1,3 +1,18 @@
#!/bin/bash
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/create_maven_env.sh"
+
echo "MAVEN_SETTINGS_OPTIONS=-s $SETTINGS_FILE -gs $GLOBAL_SETTINGS_FILE" > maven_env.txt
diff --git a/jjb/scripts/csit/cpta.sh b/jjb/scripts/csit/cpta.sh
index d6bc187b4..512fd03bf 100644
--- a/jjb/scripts/csit/cpta.sh
+++ b/jjb/scripts/csit/cpta.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/cpta.sh"
+
set -xe -o pipefail
[ "${DOCS_REPO_URL}" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
diff --git a/jjb/scripts/csit/device-semiweekly.sh b/jjb/scripts/csit/device-semiweekly.sh
index 10c3ed7a0..ff82cb5c8 100644
--- a/jjb/scripts/csit/device-semiweekly.sh
+++ b/jjb/scripts/csit/device-semiweekly.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/device-semiweekly.sh"
+
set -exuo pipefail
# Clone CSIT git repository and proceed with entry script located there.
diff --git a/jjb/scripts/csit/device-verify.sh b/jjb/scripts/csit/device-verify.sh
index f26e6beba..5ccd2a580 100644
--- a/jjb/scripts/csit/device-verify.sh
+++ b/jjb/scripts/csit/device-verify.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/device-verify.sh"
+
set -exuo pipefail
csit_entry_dir="${WORKSPACE}/resources/libraries/bash/entry"
diff --git a/jjb/scripts/csit/dmm-functional-virl.sh b/jjb/scripts/csit/dmm-functional-virl.sh
index fcc0a49ad..e5a83ef41 100644
--- a/jjb/scripts/csit/dmm-functional-virl.sh
+++ b/jjb/scripts/csit/dmm-functional-virl.sh
@@ -14,6 +14,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/dmm-functional-virl.sh"
+
set -xeu -o pipefail
# Clone dmm and start tests
@@ -37,4 +39,4 @@ else
exit 1
fi
-# vim: ts=4 ts=4 sts=4 et : \ No newline at end of file
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/csit/docs.sh b/jjb/scripts/csit/docs.sh
index ebd8546b8..55048f2fd 100644
--- a/jjb/scripts/csit/docs.sh
+++ b/jjb/scripts/csit/docs.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/docs.sh"
+
set -xe -o pipefail
[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
diff --git a/jjb/scripts/csit/hc2vpp-verify-func.sh b/jjb/scripts/csit/hc2vpp-verify-func.sh
index 3e3c63e07..e5d92647c 100644
--- a/jjb/scripts/csit/hc2vpp-verify-func.sh
+++ b/jjb/scripts/csit/hc2vpp-verify-func.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/hc2vpp-verify-func.sh"
+
# Parse optional arguments from gerrit comment trigger
for i in ${GERRIT_EVENT_COMMENT_TEXT}; do
case ${i} in
diff --git a/jjb/scripts/csit/nsh_sfc-functional-virl.sh b/jjb/scripts/csit/nsh_sfc-functional-virl.sh
index d90003d0c..abf7e8755 100644
--- a/jjb/scripts/csit/nsh_sfc-functional-virl.sh
+++ b/jjb/scripts/csit/nsh_sfc-functional-virl.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/nsh_sfc-functional-virl.sh"
+
set -xeu -o pipefail
# execute nsh_sfc bootstrap script if it exists
diff --git a/jjb/scripts/csit/nsh_sfc-perf-hw.sh b/jjb/scripts/csit/nsh_sfc-perf-hw.sh
index 6f2eb3bdd..306bd55ad 100644
--- a/jjb/scripts/csit/nsh_sfc-perf-hw.sh
+++ b/jjb/scripts/csit/nsh_sfc-perf-hw.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/nsh_sfc-perf-hw.sh"
+
# execute nsh_sfc bootstrap script if it exists
if [ ! -e bootstrap-verify-perf-nsh_sfc.sh ]
then
diff --git a/jjb/scripts/csit/perf-timed.sh b/jjb/scripts/csit/perf-timed.sh
index 76fabd58f..93566550a 100644
--- a/jjb/scripts/csit/perf-timed.sh
+++ b/jjb/scripts/csit/perf-timed.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/perf-timed.sh"
+
set -exuo pipefail
# Clone CSIT git repository and proceed with entry script located there.
diff --git a/jjb/scripts/csit/perf-verify.sh b/jjb/scripts/csit/perf-verify.sh
index c68a88126..91fa60fea 100644
--- a/jjb/scripts/csit/perf-verify.sh
+++ b/jjb/scripts/csit/perf-verify.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/perf-verify.sh"
+
set -exuo pipefail
if [[ ${GERRIT_EVENT_TYPE} == 'comment-added' ]]; then
diff --git a/jjb/scripts/csit/report.sh b/jjb/scripts/csit/report.sh
index b2ea0f966..16018fdc9 100644
--- a/jjb/scripts/csit/report.sh
+++ b/jjb/scripts/csit/report.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/report.sh"
+
set -xe -o pipefail
[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
diff --git a/jjb/scripts/csit/tldk-functional-virl.sh b/jjb/scripts/csit/tldk-functional-virl.sh
index 8e732a517..5f3090139 100644
--- a/jjb/scripts/csit/tldk-functional-virl.sh
+++ b/jjb/scripts/csit/tldk-functional-virl.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/tldk-functional-virl.sh"
+
set -xeu -o pipefail
# Clone tldk and start tests
diff --git a/jjb/scripts/csit/tox.sh b/jjb/scripts/csit/tox.sh
index 32ccb5c00..6a0c02b41 100644
--- a/jjb/scripts/csit/tox.sh
+++ b/jjb/scripts/csit/tox.sh
@@ -17,6 +17,8 @@
# We do not use source command, to make sure
# the called script choses the interpreter it needs.
+echo "---> jjb/scripts/csit/tox.sh"
+
set -exuo pipefail
${WORKSPACE}/resources/libraries/bash/entry/tox.sh
diff --git a/jjb/scripts/csit/vpp-functional-multilink.sh b/jjb/scripts/csit/vpp-functional-multilink.sh
index 5cf2454eb..a076d875b 100644
--- a/jjb/scripts/csit/vpp-functional-multilink.sh
+++ b/jjb/scripts/csit/vpp-functional-multilink.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/vpp-functional-multilink.sh"
+
# execute csit bootstrap script if it exists
if [ -e bootstrap-multilink.sh ]
then
diff --git a/jjb/scripts/csit/vpp-functional-virl.sh b/jjb/scripts/csit/vpp-functional-virl.sh
index f2e38e8e1..21333aa66 100644
--- a/jjb/scripts/csit/vpp-functional-virl.sh
+++ b/jjb/scripts/csit/vpp-functional-virl.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/vpp-functional-virl.sh"
+
# execute csit bootstrap script if it exists
if [ -e bootstrap.sh ]
then
diff --git a/jjb/scripts/maven_push_functions.sh b/jjb/scripts/maven_push_functions.sh
index 6627615a6..d26b71422 100644
--- a/jjb/scripts/maven_push_functions.sh
+++ b/jjb/scripts/maven_push_functions.sh
@@ -1,4 +1,20 @@
#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/maven_push_functions.sh"
+
set -xe -o pipefail
echo "*******************************************************************"
echo "* STARTING PUSH OF PACKAGES TO REPOS"
diff --git a/jjb/scripts/packagecloud_promote.sh b/jjb/scripts/packagecloud_promote.sh
index 8523e6cf0..6a138b419 100644
--- a/jjb/scripts/packagecloud_promote.sh
+++ b/jjb/scripts/packagecloud_promote.sh
@@ -1,5 +1,20 @@
#!/bin/bash
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/packagecloud_promote.sh"
+
stage_repo="https://packagecloud.io/api/v1/repos/fdio/staging"
curl --netrc-file /home/jenkins/packagecloud_api $stage_repo/packages.json | \
python -mjson.tool >filenames.txt
diff --git a/jjb/scripts/packagecloud_push.sh b/jjb/scripts/packagecloud_push.sh
index d7c33d540..6af2f5125 100644
--- a/jjb/scripts/packagecloud_push.sh
+++ b/jjb/scripts/packagecloud_push.sh
@@ -1,44 +1,64 @@
#!/bin/bash
-# PCIO_CO is a Jenkins Global Environment variable
-set -x
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/packagecloud_push.sh"
+
+set -euxo pipefail
echo "STARTING PACKAGECLOUD PUSH"
sleep 10
-if [ -f /usr/bin/zypper ]; then
- FACTER_OS="openSUSE"
-else
- FACTER_OS=$(/usr/bin/facter operatingsystem)
-fi
+FACTER_OS=$(/usr/bin/facter operatingsystem)
+push_cmd=""
+# PCIO_CO and SILO are Jenkins Global Environment variables defined in
+# .../ci-management/jenkins-config/global-vars-*.sh
if [ -f ~/.packagecloud ]; then
case "$FACTER_OS" in
- Debian)
- FACTER_LSBNAME=$(/usr/bin/facter lsbdistcodename)
- DEBS=$(find . -type f -iname '*.deb')
- package_cloud push "${PCIO_CO}/${STREAM}/debian/${FACTER_LSBNAME}/main/" ${DEBS}
- ;;
- Ubuntu)
- FACTER_LSBNAME=$(/usr/bin/facter lsbdistcodename)
- DEBS=$(find . -type f -iname '*.deb')
- package_cloud push "${PCIO_CO}/${STREAM}/ubuntu/${FACTER_LSBNAME}/main/" ${DEBS}
- ;;
- CentOS)
- FACTER_OSMAJREL=$(/usr/bin/facter operatingsystemmajrelease)
- FACTER_ARCH=$(/usr/bin/facter architecture)
- RPMS=$(find . -type f -iregex '.*/.*\.\(s\)?rpm')
- package_cloud push "${PCIO_CO}/${STREAM}/el/${FACTER_OSMAJREL}/os/${FACTER_ARCH}/" ${RPMS}
- ;;
- openSUSE)
- # Use /etc/os-release on openSUSE to get $VERSION
- . /etc/os-release
- RPMS=$(find . -type f -iregex '.*/.*\.\(s\)?rpm' | grep -v 'vpp-ext-deps')
- VPP_EXT_RPMS=$(find . -type f -iregex '.*/.*\.\(s\)?rpm' | grep 'vpp-ext-deps')
- package_cloud push "${PCIO_CO}/${STREAM}/opensuse/${VERSION}/" ${RPMS}
- # This file may have already been uploaded. Don't error out if it exists.
- package_cloud push "${PCIO_CO}/${STREAM}/opensuse/${VERSION}/" ${VPP_EXT_RPMS} --skip-errors
- ;;
+ Debian)
+ FACTER_LSBNAME=$(/usr/bin/facter lsbdistcodename)
+ DEBS=$(find . -type f -iname '*.deb')
+ push_cmd="package_cloud push ${PCIO_CO}/${STREAM}/debian/${FACTER_LSBNAME}/main/ ${DEBS}"
+ ;;
+ Ubuntu)
+ FACTER_LSBNAME=$(/usr/bin/facter lsbdistcodename)
+ DEBS=$(find . -type f -iname '*.deb')
+ push_cmd="package_cloud push ${PCIO_CO}/${STREAM}/ubuntu/${FACTER_LSBNAME}/main/ ${DEBS}"
+ ;;
+ CentOS)
+ FACTER_OSMAJREL=$(/usr/bin/facter operatingsystemmajrelease)
+ FACTER_ARCH=$(/usr/bin/facter architecture)
+ RPMS=$(find . -type f -iregex '.*/.*\.\(s\)?rpm')
+ push_cmd="package_cloud push ${PCIO_CO}/${STREAM}/el/${FACTER_OSMAJREL}/os/${FACTER_ARCH}/ ${RPMS}"
+ ;;
+ *)
+ echo "ERROR: Unsupported OS '$FACTER_OS'"
+ echo "PACKAGECLOUD PUSH FAILED!"
+ exit 1
+ ;;
esac
+ if [ "${SILO,,}" = "sandbox" ] ; then
+ echo "SANDBOX: skipping '$push_cmd'"
+ else
+ $push_cmd
+ fi
+else
+ echo "ERROR: Missing '~/.packagecloud' for user '$(id)'"
+ echo "PACKAGECLOUD PUSH FAILED!"
+ exit 1
fi
+
+echo "PACKAGECLOUD PUSH COMPLETE"
diff --git a/jjb/scripts/setup_executor_env.sh b/jjb/scripts/setup_executor_env.sh
new file mode 100644
index 000000000..08b37873c
--- /dev/null
+++ b/jjb/scripts/setup_executor_env.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/setup_executor_env.sh"
+
+set -e -o pipefail
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_ARCH=$(uname -m)
+dockerfile="/scratch/docker-build/Dockerfile"
+file_delimiter="----- %< -----"
+long_line="************************************************************************"
+downloads_cache="/root/Downloads"
+
+echo "$long_line"
+echo "Executor OS: $OS_ID-$OS_VERSION_ID"
+echo "Executor Arch: $OS_ARCH"
+# TODO: fix this to print nomad server hostname
+echo "Executor hostname: $(hostname)"
+
+echo "$long_line"
+if [ -f "$dockerfile" ] ; then
+ echo -e "Executor Dockerfile: ${dockerfile}\n${file_delimiter}"
+ cat $dockerfile
+ echo "$file_delimiter"
+else
+ echo "Unknown Executor: '$dockerfile' not found!"
+fi
+
+echo "$long_line"
+echo "Executor package list:"
+if [ "$OS_ID" == "ubuntu" ] || [ "$OS_ID" = "debian" ] ; then
+ dpkg-query -W -f='${binary:Package}\t${Version}\n' | column -t || true
+elif [ "$OS_ID" == "centos" ] ; then
+ yum list installed || true
+fi
+
+echo "$long_line"
+echo "Executor Downloads cache '$downloads_cache':"
+ls -lh "$downloads_cache" || true
+echo "$long_line"
diff --git a/jjb/scripts/setup_jvpp_dev_env.sh b/jjb/scripts/setup_jvpp_dev_env.sh
index 9017f0db6..c489a547f 100644
--- a/jjb/scripts/setup_jvpp_dev_env.sh
+++ b/jjb/scripts/setup_jvpp_dev_env.sh
@@ -1,4 +1,20 @@
#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/setup_jvpp_dev_env.sh"
+
set -e -o pipefail
# Figure out what system we are running on
@@ -55,4 +71,4 @@ function setup {
fi
}
-setup \ No newline at end of file
+setup
diff --git a/jjb/scripts/setup_vpp_dpdk_dev_env.sh b/jjb/scripts/setup_vpp_dpdk_dev_env.sh
index c98f6def4..d42af483f 100644
--- a/jjb/scripts/setup_vpp_dpdk_dev_env.sh
+++ b/jjb/scripts/setup_vpp_dpdk_dev_env.sh
@@ -1,68 +1,62 @@
#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/setup_vpp_dpdk_dev_env.sh"
+
set -e -o pipefail
OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
function setup {
- if ! [ -z ${REPO_NAME} ]; then
- echo "INSTALLING VPP-DPKG-DEV from apt/yum repo"
+ if [ -n "$REPO_NAME" ] ; then
+ echo "Installing vpp-ext-deps..."
REPO_URL="https://packagecloud.io/fdio/${STREAM}"
- echo "REPO_URL: ${REPO_URL}"
+ echo "REPO_URL: $REPO_URL"
+ INSTALL_URL="https://packagecloud.io/install/repositories/fdio/${STREAM}"
+ echo "INSTALL_URL: $INSTALL_URL"
# Setup by installing vpp-dev and vpp-lib
- if [ "$OS_ID" == "ubuntu" ]; then
- if ! [ "${STREAM}" == "master" ]; then
- echo "tree not master deleting packagecloud repo pointer"
- sudo rm -f /etc/apt/sources.list.d/fdio_master.list
- curl -s https://packagecloud.io/install/repositories/fdio/${STREAM}/script.deb.sh | sudo bash
- fi
- if [ -f /etc/apt/sources.list.d/99fd.io.list ];then
- echo "Deleting: /etc/apt/sources.list.d/99fd.io.list"
- sudo rm /etc/apt/sources.list.d/99fd.io.list
+ if [ "${OS_ID,,}" == "ubuntu" ] || [ "${OS_ID,,}" == "debian" ] ; then
+ if [ "${STREAM}" != "master" ]; then
+ echo "stream '${STREAM}' is not master: replacing packagecloud apt sources list with stream specific list"
+ sudo rm -f /etc/apt/sources.list.d/fdio_master.list
+ curl -s $INSTALL_URL/script.deb.sh | sudo bash
fi
sudo apt-get update -qq || true
- sudo apt-get -y --force-yes install vpp-dpdk-dev || true
- sudo apt-get -y --force-yes install vpp-dpdk-dkms || true
- sudo apt-get -y --force-yes install vpp-ext-deps || true
- elif [ "$OS_ID" == "centos" ]; then
- if [ -f /etc/yum.repos.d/fdio-master.repo ]; then
- echo "Deleting: /etc/yum.repos.d/fdio-master.repo"
- sudo rm /etc/yum.repos.d/fdio-master.repo
+ curr_vpp_ext_deps="/root/Downloads/$(basename $(apt-cache show vpp-ext-deps | grep Filename | head -1 | cut -d' ' -f2))"
+ if [ -f "$curr_vpp_ext_deps" ] ; then
+ echo "Installing cached vpp-ext-deps pkg: $curr_vpp_ext_deps"
+ sudo dpkg -i $curr_vpp_ext_deps
+ else
+ echo "Installing vpp-ext-deps from packagecloud.io"
+ local force_opts="--allow-downgrades --allow-remove-essential"
+ force_opts="$force_opts --allow-change-held-packages"
+ sudo apt-get -y $force_opts install vpp-ext-deps || true
fi
- if ! [ "${STREAM}" == "master" ]; then
- echo "tree not master deleting packagecloud repo pointer"
- sudo rm -f /etc/yum.repos.d/fdio_master.repo
- curl -s https://packagecloud.io/install/repositories/fdio/${STREAM}/script.rpm.sh | sudo bash
+ elif [ "${OS_ID,,}" == "centos" ] ; then
+ if [ "${STREAM}" != "master" ] ; then
+ echo "stream '${STREAM}' is not master: replacing packagecloud repo list with stream specific list"
+ sudo rm -f /etc/yum.repos.d/fdio_master.repo
+ curl -s $INSTALL_URL/script.rpm.sh | sudo bash
fi
- sudo yum -y install vpp-dpdk-devel || true
- sudo yum -y install vpp-ext-deps || true
- elif [ "$OS_ID" == "opensuse" ]; then
- REPO_URL="${NEXUSPROXY}/content/repositories/fd.io.${REPO_NAME}"
- echo "REPO_URL: ${REPO_URL}"
- sudo cat << EOF > fdio-master.repo
-[fdio-master]
-name=fd.io master branch latest merge
-baseurl=${REPO_URL}
-enabled=1
-gpgcheck=0
-EOF
- sudo mv fdio-master.repo /etc/yum/repos.d/fdio-master.repo
- sudo yum -y install vpp-dpdk-devel || true
- sudo yum -y install vpp-ext-deps || true
- elif [ "$OS_ID" == "opensuse-leap" ]; then
- REPO_URL="${NEXUSPROXY}/content/repositories/fd.io.${REPO_NAME}"
- echo "REPO_URL: ${REPO_URL}"
- sudo cat << EOF > fdio-master.repo
-[fdio-master]
-name=fd.io master branch latest merge
-baseurl=${REPO_URL}
-enabled=1
-gpgcheck=0
-EOF
- sudo mv fdio-master.repo /etc/yum/repos.d/fdio-master.repo
- sudo yum -y install vpp-dpdk-devel || true
sudo yum -y install vpp-ext-deps || true
+ else
+ echo "ERROR: Unsupported OS '$OS_ID'!"
fi
+ else
+ echo "ERROR: REPO_NAME not found!"
fi
}
diff --git a/jjb/scripts/setup_vpp_plugin_dev_env.sh b/jjb/scripts/setup_vpp_plugin_dev_env.sh
deleted file mode 100644
index 1b92adb84..000000000
--- a/jjb/scripts/setup_vpp_plugin_dev_env.sh
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/bash
-set -e -o pipefail
-
-#!/bin/bash
-set -e -o pipefail
-
-# Figure out what system we are running on
-if [ -f /etc/lsb-release ];then
- . /etc/lsb-release
-elif [ -f /etc/redhat-release ];then
- sudo yum install -y redhat-lsb
- DISTRIB_ID=`lsb_release -si`
- DISTRIB_RELEASE=`lsb_release -sr`
- DISTRIB_CODENAME=`lsb_release -sc`
- DISTRIB_DESCRIPTION=`lsb_release -sd`
-fi
-echo DISTRIB_ID: $DISTRIB_ID
-echo DISTRIB_RELEASE: $DISTRIB_RELEASE
-echo DISTRIB_CODENAME: $DISTRIB_CODENAME
-echo DISTRIB_DESCRIPTION: $DISTRIB_DESCRIPTION
-
-function setup {
- REPO_URL="${NEXUSPROXY}/content/repositories/fd.io.${REPO_NAME}"
- echo "REPO_URL: ${REPO_URL}"
- # Setup by installing vpp-dev and vpp-lib
- if [ $DISTRIB_ID == "Ubuntu" ]; then
- echo "deb ${REPO_URL} ./" | sudo tee /etc/apt/sources.list.d/99fd.io.list
- sudo apt-get update
- sudo apt-get -y --force-yes install vpp-dev vpp-lib
- elif [[ $DISTRIB_ID == "CentOS" ]]; then
- sudo cat << EOF > fdio-master.repo
-[fdio-master]
-name=fd.io master branch latest merge
-baseurl=${REPO_URL}
-enabled=1
-gpgcheck=0
-EOF
- sudo mv fdio-master.repo /etc/yum.repos.d/fdio-master.repo
- sudo yum -y install vpp-devel vpp-lib
- fi
-}
-
-setup \ No newline at end of file
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index bdc1257f6..00d14c3ea 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+
##############################################################################
# Copyright (c) 2018 The Linux Foundation and others.
#
@@ -7,11 +8,14 @@
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
##############################################################################
+
+echo "---> jjb/scripts/setup_vpp_ubuntu_docker_test.sh"
+
set -e -o pipefail
OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-if ! [ -z ${DOCKER_TEST} ] ; then
+if [ -n ${DOCKER_TEST} ] ; then
# for 4 cores:
# framework.VppTestCase.MIN_REQ_SHM + (num_cores * framework.VppTestCase.SHM_PER_PROCESS)
# 1073741824 == 1024M (1073741824 >> 20)
@@ -22,55 +26,20 @@ if ! [ -z ${DOCKER_TEST} ] ; then
# that 2048M is enough
MEM=2048M
fi
- sudo mount -o remount /dev/shm -o size=${MEM} || true
- echo "/dev/shm remounted"
+ sudo mount -o remount /dev/shm -o size=${MEM} || true
+ echo "/dev/shm remounted with size='${MEM}'"
fi
-##container server node detection
-grep search /etc/resolv.conf || true
-
-if [ "${OS_ID}" == "ubuntu" ]; then
- dpkg-query -W -f='${binary:Package}\t${Version}\n' || true
- echo "************************************************************************"
- echo "pip list:"
- pip list || true
- echo "************************************************************************"
- echo "Contents of /var/cache/vpp/python/virtualenv/lib/python2.7/site-packages:"
- ls -lth /var/cache/vpp/python/virtualenv/lib/python2.7/site-packages || true
- echo "************************************************************************"
- echo "Contents of br Downloads:"
- ls -lth /w/Downloads || true
- echo "************************************************************************"
- echo "Contents of /w/dpdk for test folks:"
- echo "************************************************************************"
- ls -lth /w/dpdk || true
-elif [ "${OS_ID}" == "centos" ]; then
- yum list installed || true
- pip list || true
-elif [ "${OS_ID}" == "opensuse" ]; then
- yum list installed || true
- pip list || true
-elif [ "${OS_ID}" == "opensuse-leap" ]; then
- yum list installed || true
- pip list || true
-fi
-
-##This will remove any previously installed dpdk for old branch builds
-
+# This will remove any previously installed external packages
+# for old branch builds
if [ "${GERRIT_BRANCH}" != "master" ]; then
- if [ "${OS_ID}" == "ubuntu" ]; then
- sudo apt-get -y remove vpp-dpdk-dev || true
- sudo apt-get -y remove vpp-dpdk-dkms || true
- sudo apt-get -y remove vpp-ext-deps || true
- elif [ "${OS_ID}" == "centos" ]; then
- sudo yum -y erase vpp-dpdk-devel || true
+ if [ "${OS_ID,,}" == "ubuntu" ] || [ "${OS_ID,,}" == "debian" ] ; then
+ [ -n "$(dpkg -l | grep vpp-ext-deps)" ] \
+ && sudo apt-get -y remove vpp-ext-deps
+ elif [ "${OS_ID,,}" == "centos" ]; then
sudo yum -y erase vpp-ext-deps || true
sudo yum clean all || true
- elif [ "${OS_ID}" == "opensuse" ]; then
- sudo yum -y erase vpp-dpdk-devel || true
- sudo yum -y erase vpp-ext-deps || true
- elif [ "${OS_ID}" == "opensuse-leap" ]; then
- sudo yum -y erase vpp-dpdk-devel || true
- sudo yum -y erase vpp-ext-deps || true
+ else
+ echo "ERROR: Unsupported OS '$OS_ID'!"
fi
fi
diff --git a/jjb/scripts/vpp/api-checkstyle.sh b/jjb/scripts/vpp/api-checkstyle.sh
index 90740337e..38017fea1 100644
--- a/jjb/scripts/vpp/api-checkstyle.sh
+++ b/jjb/scripts/vpp/api-checkstyle.sh
@@ -1,5 +1,20 @@
#!/bin/bash
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/api-checkstyle.sh"
+
VPP_CRC_CHECKER="extras/scripts/crcchecker.py"
VPP_CRC_CHECKER_CMD="$VPP_CRC_CHECKER --check-patchset"
diff --git a/jjb/scripts/vpp/build.sh b/jjb/scripts/vpp/build.sh
index 68fa30d1a..52cee0978 100644
--- a/jjb/scripts/vpp/build.sh
+++ b/jjb/scripts/vpp/build.sh
@@ -1,45 +1,39 @@
#!/bin/bash
# basic build script example
-set -xe -o pipefail
-OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
-echo OS_ID: $OS_ID
-echo OS_VERSION_ID: $OS_VERSION_ID
+echo "---> jjb/scripts/vpp/build.sh"
-# do nothing but print the current slave hostname
-hostname
-export CCACHE_DIR=/tmp/ccache
-if [ -d $CCACHE_DIR ];then
- echo $CCACHE_DIR exists
- du -sk $CCACHE_DIR
-else
- echo $CCACHE_DIR does not exist. This must be a new slave.
-fi
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find cat /etc/bootstrap.sha"
-fi
+set -xe -o pipefail
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find cat /etc/bootstrap-functions.sha"
-fi
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_ARCH=$(uname -m)
echo "sha1sum of this script: ${0}"
sha1sum $0
-echo "CC=${CC}"
-echo "IS_CSIT_VPP_JOB=${IS_CSIT_VPP_JOB}"
-# If and only if we are doing verify *after* make verify was made to work
-# and we are not a CSIT job just building packages, then use make verify,
-# else use make pkg-verify.
+# TODO: Mount ccache volume into docker container, then enable this.
+#
+#export CCACHE_DIR=/scratch/docker-build/ccache
+#if [ -d $CCACHE_DIR ];then
+# echo "ccache size:"
+# du -sh $CCACHE_DIR
+#else
+# echo $CCACHE_DIR does not exist.
+#fi
if [ "x${MAKE_PARALLEL_FLAGS}" != "x" ]
then
@@ -54,19 +48,22 @@ else
"using build default ($(grep -c ^processor /proc/cpuinfo))."
fi
-if [ "x${MAKE_PARALLEL_JOBS}" != "x" ]
-then
- export TEST_JOBS="${MAKE_PARALLEL_JOBS}"
- echo "Testing VPP with ${TEST_JOBS} cores."
-else
- export TEST_JOBS="auto"
- echo "Testing VPP with automatically calculated number of cores. " \
- "See test logs for the exact number."
-fi
+echo "CC=${CC}"
+echo "IS_CSIT_VPP_JOB=${IS_CSIT_VPP_JOB}"
-if (git log --oneline | grep 37682e1 > /dev/null 2>&1) && \
- [ "x${IS_CSIT_VPP_JOB}" != "xTrue" ]
+# If we are not a CSIT job just building packages, then use make verify,
+# else use make pkg-verify.
+if [ "x${IS_CSIT_VPP_JOB}" != "xTrue" ]
then
+ if [ "x${MAKE_PARALLEL_JOBS}" != "x" ]
+ then
+ export TEST_JOBS="${MAKE_PARALLEL_JOBS}"
+ echo "Testing VPP with ${TEST_JOBS} cores."
+ else
+ export TEST_JOBS="auto"
+ echo "Testing VPP with automatically calculated number of cores. " \
+ "See test logs for the exact number."
+ fi
echo "Building using \"make verify\""
[ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes verify
else
@@ -74,17 +71,6 @@ else
[ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes pkg-verify
fi
-if [ "x${VPP_REPO}" == "x1" ]; then
- if [ "x${REBASE_NEEDED}" == "x1" ]; then
- echo "This patch to vpp is based on an old point in the tree that is likely"
- echo "to fail verify."
- echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
- exit 1
- fi
-fi
-
-local_arch=$(uname -m)
-
echo "*******************************************************************"
-echo "* VPP ${local_arch^^} BUILD SUCCESSFULLY COMPLETED"
+echo "* VPP ${OS_ID^^}-${OS_VERSION_ID}-${OS_ARCH^^} BUILD SUCCESSFULLY COMPLETED"
echo "*******************************************************************"
diff --git a/jjb/scripts/vpp/check_crc.sh b/jjb/scripts/vpp/check_crc.sh
index 04e53966d..2e07c2b5e 100644
--- a/jjb/scripts/vpp/check_crc.sh
+++ b/jjb/scripts/vpp/check_crc.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/vpp/check_crc.sh"
+
set -exuo pipefail
# Clone CSIT git repository and proceed with entry script located there.
diff --git a/jjb/scripts/vpp/checkstyle.sh b/jjb/scripts/vpp/checkstyle.sh
index 7c520dd99..55aa62a53 100644
--- a/jjb/scripts/vpp/checkstyle.sh
+++ b/jjb/scripts/vpp/checkstyle.sh
@@ -1,5 +1,19 @@
#!/bin/bash
-# jjb/vpp/include-raw-vpp-checkstyle.sh
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/checkstyle.sh"
if [ -n "$(grep -E '^checkstyle:' Makefile)" ]
then
diff --git a/jjb/scripts/vpp/commitmsg.sh b/jjb/scripts/vpp/commitmsg.sh
index d926ff5dd..479f35136 100644
--- a/jjb/scripts/vpp/commitmsg.sh
+++ b/jjb/scripts/vpp/commitmsg.sh
@@ -1,7 +1,22 @@
#!/bin/bash
-if [ -f extras/scripts/check_commit_msg.sh ];then
- echo "Running extras/scripts/check_commit_msg.sh"
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/commitmsg.sh"
+
+if [ -f extras/scripts/check_commit_msg.sh ] ; then
+ echo "Running extras/scripts/check_commit_msg.sh"
extras/scripts/check_commit_msg.sh
else
echo "Cannot find cat extras/scripts/check_commit_msg.sh - skipping commit message check"
diff --git a/jjb/scripts/vpp/csit-device.sh b/jjb/scripts/vpp/csit-device.sh
index af54c9dc4..6d4beb80f 100644
--- a/jjb/scripts/vpp/csit-device.sh
+++ b/jjb/scripts/vpp/csit-device.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/vpp/csit-device.sh"
+
set -exuo pipefail
# Clone CSIT git repository and proceed with entry script located there.
diff --git a/jjb/scripts/vpp/csit-perf.sh b/jjb/scripts/vpp/csit-perf.sh
index 17a9d39bc..e57306651 100644
--- a/jjb/scripts/vpp/csit-perf.sh
+++ b/jjb/scripts/vpp/csit-perf.sh
@@ -13,6 +13,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/vpp/csit-perf.sh"
+
set -exuo pipefail
# Clone CSIT git repository and proceed with entry script located there.
diff --git a/jjb/scripts/vpp/debug-build.sh b/jjb/scripts/vpp/debug-build.sh
index cdf1d0760..e7f185218 100644
--- a/jjb/scripts/vpp/debug-build.sh
+++ b/jjb/scripts/vpp/debug-build.sh
@@ -1,34 +1,29 @@
#!/bin/bash
-# basic build script example
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/debug-build.sh"
+
set -xe -o pipefail
OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-
-echo OS_ID: $OS_ID
-echo OS_VERSION_ID: $OS_VERSION_ID
-
-# do nothing but print the current slave hostname
-hostname
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find cat /etc/bootstrap.sha"
-fi
-
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find cat /etc/bootstrap-functions.sha"
-fi
+OS_ARCH=$(uname -m)
echo "sha1sum of this script: ${0}"
sha1sum $0
-
# run with ASAN on
# export VPP_EXTRA_CMAKE_ARGS='-DVPP_ENABLE_SANITIZE_ADDR=ON'
@@ -36,14 +31,11 @@ sha1sum $0
# apparently gcc neither...
# export CC=gcc
-
-
make UNATTENDED=yes install-dep
make UNATTENDED=yes install-ext-deps
make UNATTENDED=yes build
make UNATTENDED=yes TEST_JOBS=auto test-debug
-
echo "*******************************************************************"
-echo "* VPP debug/asan test BUILD SUCCESSFULLY COMPLETED"
+echo "* VPP debug/asan test BUILD on ${OS_ID^^}-${OS_VERSION_ID}-${OS_ARCH^^} SUCCESSFULLY COMPLETED"
echo "*******************************************************************"
diff --git a/jjb/scripts/vpp/docs.sh b/jjb/scripts/vpp/docs.sh
index 608f8f979..0899b6615 100644
--- a/jjb/scripts/vpp/docs.sh
+++ b/jjb/scripts/vpp/docs.sh
@@ -1,4 +1,20 @@
#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/docs.sh"
+
set -xe -o pipefail
[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/vpp
diff --git a/jjb/scripts/vpp/gcc-build.sh b/jjb/scripts/vpp/gcc-build.sh
index 6f8b8f686..5cdbc2633 100644
--- a/jjb/scripts/vpp/gcc-build.sh
+++ b/jjb/scripts/vpp/gcc-build.sh
@@ -1,29 +1,25 @@
#!/bin/bash
-# basic build script example
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/gcc-build.sh"
+
set -xe -o pipefail
OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-
-echo OS_ID: $OS_ID
-echo OS_VERSION_ID: $OS_VERSION_ID
-
-# do nothing but print the current slave hostname
-hostname
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find cat /etc/bootstrap.sha"
-fi
-
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find cat /etc/bootstrap-functions.sha"
-fi
+OS_ARCH=$(uname -m)
echo "sha1sum of this script: ${0}"
sha1sum $0
@@ -41,5 +37,5 @@ for suite in $MAKE_TEST_SUITES ; do
done
echo "*******************************************************************"
-echo "* VPP GCC BUILD SUCCESSFULLY COMPLETED"
+echo "* VPP GCC on ${OS_ID^^}-${OS_VERSION}-${OS_ARCH^^} BUILD SUCCESSFULLY COMPLETED"
echo "*******************************************************************"
diff --git a/jjb/scripts/vpp/make-test-docs.sh b/jjb/scripts/vpp/make-test-docs.sh
index 1f82ab502..d15cac380 100644
--- a/jjb/scripts/vpp/make-test-docs.sh
+++ b/jjb/scripts/vpp/make-test-docs.sh
@@ -1,4 +1,20 @@
#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/make-test-docs.sh"
+
set -xe -o pipefail
[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/vpp
diff --git a/jjb/scripts/vpp/maven-push.sh b/jjb/scripts/vpp/maven-push.sh
deleted file mode 100644
index 6ce3b2c06..000000000
--- a/jjb/scripts/vpp/maven-push.sh
+++ /dev/null
@@ -1,56 +0,0 @@
-#!/bin/bash
-set -xe -o pipefail
-echo "*******************************************************************"
-echo "* STARTING PUSH OF PACKAGES TO REPOS"
-echo "* NOTHING THAT HAPPENS BELOW THIS POINT IS RELATED TO BUILD FAILURE"
-echo "*******************************************************************"
-
-[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
-GROUP_ID="io.fd.${PROJECT}"
-BASEURL="${NEXUSPROXY}/content/repositories/fd.io."
-BASEREPOID='fdio-'
-
-if [ "${OS}" == "ubuntu1604" ]; then
- # Find the files
- JARS=$(find . -type f -iname '*.jar')
- DEBS=$(find . -type f -iname '*.deb')
- for i in $JARS
- do
- push_jar "$i"
- done
-
- for i in $DEBS
- do
- push_deb "$i"
- done
-elif [ "${OS}" == "ubuntu1804" ]; then
- # Find the files
- JARS=$(find . -type f -iname '*.jar')
- DEBS=$(find . -type f -iname '*.deb')
- for i in $JARS
- do
- push_jar "$i"
- done
-
- for i in $DEBS
- do
- push_deb "$i"
- done
-elif [ "${OS}" == "centos7" ]; then
- # Find the files
- RPMS=$(find . -type f -iname '*.rpm')
- SRPMS=$(find . -type f -iname '*.srpm')
- SRCRPMS=$(find . -type f -name '*.src.rpm')
- for i in $RPMS $SRPMS $SRCRPMS
- do
- push_rpm "$i"
- done
-elif [ "${OS}" == "opensuse" ]; then
- # Find the files
- RPMS=$(find . -type f -iname '*.rpm')
- for i in $RPMS
- do
- push_rpm "$i"
- done
-fi
-# vim: ts=4 sw=4 sts=4 et ft=sh :
diff --git a/jjb/scripts/vpp/sphinx-docs.sh b/jjb/scripts/vpp/sphinx-docs.sh
index 749728731..b9eb64bc7 100644
--- a/jjb/scripts/vpp/sphinx-docs.sh
+++ b/jjb/scripts/vpp/sphinx-docs.sh
@@ -1,4 +1,20 @@
#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/sphinx-docs.sh"
+
set -xe -o pipefail
[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/vpp
diff --git a/jjb/scripts/vpp/test-checkstyle.sh b/jjb/scripts/vpp/test-checkstyle.sh
index bdc843114..3f0bc9a06 100644
--- a/jjb/scripts/vpp/test-checkstyle.sh
+++ b/jjb/scripts/vpp/test-checkstyle.sh
@@ -1,5 +1,19 @@
#!/bin/bash
-# jjb/vpp/include-raw-vpp-test-checkstyle.sh
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/test-checkstyle.sh"
if [ -n "$(grep -E '^test-checkstyle:' Makefile)" ]
then
diff --git a/jjb/vpp/docs.yaml b/jjb/vpp/docs.yaml
index 84ed58c8b..d2665144b 100644
--- a/jjb/vpp/docs.yaml
+++ b/jjb/vpp/docs.yaml
@@ -2,10 +2,10 @@
- project:
name: docs
jobs:
- - 'vpp-docs-merge-{stream}'
- - 'vpp-docs-verify-{stream}'
- - 'vpp-make-test-docs-merge-{stream}'
- - 'vpp-make-test-docs-verify-{stream}'
+ - 'vpp-docs-merge-{stream}-{os}-{executor-arch}'
+ - 'vpp-docs-verify-{stream}-{os}-{executor-arch}'
+ - 'vpp-make-test-docs-merge-{stream}-{os}-{executor-arch}'
+ - 'vpp-make-test-docs-verify-{stream}-{os}-{executor-arch}'
project: 'vpp'
executor-arch: 'x86_64'
@@ -26,8 +26,8 @@
- project:
name: sphinx
jobs:
- - 'vpp-sphinx-docs-merge-{stream}'
- - 'vpp-sphinx-docs-verify-{stream}'
+ - 'vpp-sphinx-docs-merge-{stream}-{os}-{executor-arch}'
+ - 'vpp-sphinx-docs-verify-{stream}-{os}-{executor-arch}'
project: 'vpp'
executor-arch: 'x86_64'
@@ -38,7 +38,7 @@
branch: 'master'
- job-template:
- name: 'vpp-docs-verify-{stream}'
+ name: 'vpp-docs-verify-{stream}-{os}-{executor-arch}'
project-type: freestyle
node: 'builder-{os}-prod-{executor-arch}'
@@ -95,6 +95,9 @@
global-settings-file: 'global-settings'
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -105,7 +108,7 @@
maven-version: 'mvn36'
- job-template:
- name: 'vpp-docs-merge-{stream}'
+ name: 'vpp-docs-merge-{stream}-{os}-{executor-arch}'
project-type: freestyle
node: 'builder-{os}-prod-{executor-arch}'
@@ -149,7 +152,7 @@
triggers:
- reverse:
- jobs: 'vpp-merge-{stream}-ubuntu1804'
+ jobs: 'vpp-merge-{stream}-{os}-{executor-arch}'
result: 'success'
- gerrit:
server-name: 'Primary'
@@ -181,6 +184,9 @@
global-settings-file: 'global-settings'
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -191,7 +197,7 @@
maven-version: 'mvn36'
- job-template:
- name: 'vpp-sphinx-docs-verify-{stream}'
+ name: 'vpp-sphinx-docs-verify-{stream}-{os}-{executor-arch}'
project-type: freestyle
node: 'builder-{os}-prod-{executor-arch}'
@@ -261,6 +267,9 @@
global-settings-file: 'global-settings'
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -271,7 +280,7 @@
maven-version: 'mvn36'
- job-template:
- name: 'vpp-sphinx-docs-merge-{stream}'
+ name: 'vpp-sphinx-docs-merge-{stream}-{os}-{executor-arch}'
project-type: freestyle
node: 'builder-{os}-prod-{executor-arch}'
@@ -339,6 +348,9 @@
global-settings-file: 'global-settings'
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -349,7 +361,7 @@
maven-version: 'mvn36'
- job-template:
- name: 'vpp-make-test-docs-verify-{stream}'
+ name: 'vpp-make-test-docs-verify-{stream}-{os}-{executor-arch}'
project-type: freestyle
node: 'builder-{os}-prod-{executor-arch}'
@@ -406,6 +418,9 @@
global-settings-file: 'global-settings'
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -416,7 +431,7 @@
maven-version: 'mvn36'
- job-template:
- name: 'vpp-make-test-docs-merge-{stream}'
+ name: 'vpp-make-test-docs-merge-{stream}-{os}-{executor-arch}'
project-type: freestyle
node: 'builder-{os}-prod-{executor-arch}'
@@ -461,7 +476,7 @@
triggers:
- reverse:
- jobs: 'vpp-merge-{stream}-ubuntu1804'
+ jobs: 'vpp-merge-{stream}-{os}-{executor-arch}'
result: 'success'
- gerrit:
server-name: 'Primary'
@@ -493,6 +508,9 @@
global-settings-file: 'global-settings'
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index fc9042a30..0edaddcae 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -21,7 +21,7 @@
- project:
name: vpp-checkstyle-x86_64
jobs:
- - 'vpp-checkstyle-verify-{stream}-{executor-arch}'
+ - 'vpp-checkstyle-verify-{stream}-{os}-{executor-arch}'
project: 'vpp'
stream:
- master:
@@ -200,9 +200,11 @@
- master:
branch: 'master'
repo-stream-part: 'master'
+ branch-head-refspec: ''
- '2009':
branch: 'stable/2009'
repo-stream-part: 'stable.2009'
+ branch-head-refspec: ''
# [end] VPP-GCC-X86_64 PROJECT
# VPP-AARCH64 PROJECT
@@ -408,7 +410,7 @@
# VPP-CHECKSTYLE-VERIFY JOB TEMPLATE
- job-template:
- name: 'vpp-checkstyle-verify-{stream}-{executor-arch}'
+ name: 'vpp-checkstyle-verify-{stream}-{os}-{executor-arch}'
project-type: freestyle
node: 'builder-{os}-prod-{executor-arch}'
@@ -502,6 +504,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/vpp/checkstyle.sh
- shell:
!include-raw-escape:
@@ -571,6 +576,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -635,6 +643,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -709,6 +720,9 @@
target: '/root'
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -783,6 +797,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -858,6 +875,9 @@
target: '/root'
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/vpp/checkstyle.sh
- shell:
!include-raw-escape:
@@ -912,7 +932,8 @@
description: Artifacts to archive to the logs server.
- make-parallel-jobs-parameter:
make-parallel-jobs: '{make-parallel-jobs}'
- - gerrit-refspec-parameter
+ - gerrit-refspec-parameter:
+ refspec: '{branch-head-refspec}'
scm:
- gerrit-trigger-scm:
@@ -932,6 +953,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -1009,6 +1033,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -1100,6 +1127,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
@@ -1169,6 +1199,9 @@
builders:
- shell:
!include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
- ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape: